Package org.postgresql.util

# Class LogWriterHandler

java.lang.Object
java.util.logging.Handler
org.postgresql.util.LogWriterHandler

public class LogWriterHandler extends Handler

## Constructor Summary

Constructors
Constructor
Description
`LogWriterHandler(Writer inWriter)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`void`
`publish(LogRecord record)`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogWriterHandler

public LogWriterHandler(Writer inWriter)

## Method Details

### publish

public void publish(LogRecord record)

Specified by:
  `publish` in class `Handler`

### flush

public void flush()

Specified by:
  `flush` in class `Handler`

### close

public void close() throws SecurityException

Specified by:
  `close` in class `Handler`
Throws:
  `SecurityException`